<div *ngIf="auth.tokenValidate else denied">
  <h1>Anwesenheit eintragen</h1>

  <div class="alert alert-danger" *ngIf="submitRequest && errorString != null && errorString != '' else success">
    {{errorString}}
  </div>

  <ng-template #success>
    <div class="alert alert-success" *ngIf="submitRequest">
      Aktion wurde erfolgreich ausgeführt.
    </div>
  </ng-template>

  <div *ngIf="presences.length; else noPresenceList">
    <form #blogForm="ngForm">
      <table class="table table-striped">
        <thead>
        <tr>
          <th>Vorname</th>
          <th>Nachname</th>
          <th width="10%">Fehlzeit</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let presence of presences">
          <td>{{presence.Vorname}}</td>
          <td>{{presence.Name}}</td>
          <td><input class="form-control" type="number" name="time-{{presence.ID}}" id="time-{{presence.ID}}"
                     maxlength="3"
                     value="{{presence.Fehlzeit}}" [(ngModel)]="presence.Fehlzeit"
                     (ngModelChange)="onChange(presence)">
          </td>
        </tr>
        </tbody>
      </table>

      <input type="submit" id="submit" class="btn btn-success" value="Speichern" (click)="saveList()">
    </form>
  </div>

  <ng-template #noPresenceList>
    <div class="alert alert-warning">
      Es scheint so, als hätten Sie derzeitig keine Stunde.
    </div>
  </ng-template>

</div>

<ng-template #denied>
  <app-access-denied></app-access-denied>
</ng-template>
